iT邦幫忙

1

[Ruby on Rails] gem install 找不到套件問題

Hello @everyone,

我使用gem install torquebox-server安裝套件的時候
有遇到以下的問題

ERROR:  Could not find a valid gem 'torquebox-server' (>= 0) in any repository

但其實官方的repository是有這個套件的
rubygems.org/gems

我也有下載.gem檔下來安裝,但他相依的套件也會發生找不到的情況
使用的指令 sudo gem install --local torquebox-server-3.2.0-java.gem --source https://rubygems.org/

ERROR:  Could not find a valid gem 'torquebox-cache' (= 3.2.0) (required by 'torquebox-server-3.2.0-java.gem' (>= 0)) in any repository

但官方也是有這個套件的
rubygems.org/gems

有試到後面會一直重複出現相同的問題

但安裝其他套件是沒有問題的
像是 sudo gem install unf

Successfully installed unf-0.1.4
Parsing documentation for unf-0.1.4
Done installing documentation for unf after 0 seconds
1 gem installed

想問一下前輩,針對這個問題有什麼解決方法嗎?

尚未有邦友回答

立即登入回答